<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>CraftScriptContext (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CraftScriptContext (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEngine.html" title="interface in com.sk89q.worldedit.scripting"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/scripting/CraftScriptContext.html" target="_top">Frames</a></li>
<li><a href="CraftScriptContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.scripting.CraftScriptEnvironment">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.scripting</div>
<h2 title="Class CraftScriptContext" class="title">Class CraftScriptContext</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html" title="class in com.sk89q.worldedit.scripting">com.sk89q.worldedit.scripting.CraftScriptEnvironment</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.scripting.CraftScriptContext</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CraftScriptContext</span>
extends <a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html" title="class in com.sk89q.worldedit.scripting">CraftScriptEnvironment</a></pre>
<div class="block">The context given to scripts.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.scripting.CraftScriptEnvironment">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.scripting.<a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html" title="class in com.sk89q.worldedit.scripting">CraftScriptEnvironment</a></h3>
<code><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html#config">config</a>, <a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html#controller">controller</a>, <a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html#player">player</a>, <a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html#server">server</a>, <a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEnvironment.html#session">session</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#CraftScriptContext-com.sk89q.worldedit.WorldEdit-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.LocalConfiguration-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.entity.Player-java.lang.String:A-">CraftScriptContext</a></span>(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;controller,
                  <a href="../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                  <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config,
                  <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                  <a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                  java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#checkArgs-int-int-java.lang.String-">checkArgs</a></span>(int&nbsp;min,
         int&nbsp;max,
         java.lang.String&nbsp;usage)</code>
<div class="block">Checks to make sure that there are enough but not too many arguments.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#error-java.lang.String-">error</a></span>(java.lang.String&nbsp;message)</code>
<div class="block">Print an error message to the user.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getBlock-java.lang.String-">getBlock</a></span>(java.lang.String&nbsp;id)</code>
<div class="block">Get a block.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getBlock-java.lang.String-boolean-">getBlock</a></span>(java.lang.String&nbsp;input,
        boolean&nbsp;allAllowed)</code>
<div class="block">Get an item from an item name or an item ID number.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getBlockPattern-java.lang.String-">getBlockPattern</a></span>(java.lang.String&nbsp;list)</code>
<div class="block">Get a list of blocks as a set.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getBlocks-java.lang.String-boolean-">getBlocks</a></span>(java.lang.String&nbsp;list,
         boolean&nbsp;allBlocksAllowed)</code>
<div class="block">Get a list of blocks as a set.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Get the configuration for WorldEdit.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getEditSessions--">getEditSessions</a></span>()</code>
<div class="block">Get a list of edit sessions that have been created.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getPlayer--">getPlayer</a></span>()</code>
<div class="block">Get the player.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getSafeOpenFile-java.lang.String-java.lang.String-java.lang.String-java.lang.String...-">getSafeOpenFile</a></span>(java.lang.String&nbsp;folder,
               java.lang.String&nbsp;filename,
               java.lang.String&nbsp;defaultExt,
               java.lang.String...&nbsp;exts)</code>
<div class="block">Gets the path to a file for opening.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getSafeSaveFile-java.lang.String-java.lang.String-java.lang.String-java.lang.String...-">getSafeSaveFile</a></span>(java.lang.String&nbsp;folder,
               java.lang.String&nbsp;filename,
               java.lang.String&nbsp;defaultExt,
               java.lang.String...&nbsp;exts)</code>
<div class="block">Gets the path to a file for saving.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#getSession--">getSession</a></span>()</code>
<div class="block">Get the player's session.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#print-java.lang.String-">print</a></span>(java.lang.String&nbsp;message)</code>
<div class="block">Print a regular message to the user.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#printRaw-java.lang.String-">printRaw</a></span>(java.lang.String&nbsp;message)</code>
<div class="block">Print an raw message to the user.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptContext.html#remember--">remember</a></span>()</code>
<div class="block">Get an edit session.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CraftScriptContext-com.sk89q.worldedit.WorldEdit-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.LocalConfiguration-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.entity.Player-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CraftScriptContext</h4>
<pre>public&nbsp;CraftScriptContext(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;controller,
                          <a href="../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                          <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config,
                          <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                          <a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                          java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="remember--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remember</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;remember()</pre>
<div class="block">Get an edit session. Every subsequent call returns a new edit session.
 Usually you only need to use one edit session.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an edit session</dd>
</dl>
</li>
</ul>
<a name="getPlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayer</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;getPlayer()</pre>
<div class="block">Get the player.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the calling player</dd>
</dl>
</li>
</ul>
<a name="getSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSession</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;getSession()</pre>
<div class="block">Get the player's session.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a session</dd>
</dl>
</li>
</ul>
<a name="getConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfiguration</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;getConfiguration()</pre>
<div class="block">Get the configuration for WorldEdit.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the configuration</dd>
</dl>
</li>
</ul>
<a name="getEditSessions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEditSessions</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&gt;&nbsp;getEditSessions()</pre>
<div class="block">Get a list of edit sessions that have been created.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of created <code>EditSession</code>s</dd>
</dl>
</li>
</ul>
<a name="print-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>print</h4>
<pre>public&nbsp;void&nbsp;print(java.lang.String&nbsp;message)</pre>
<div class="block">Print a regular message to the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - a message</dd>
</dl>
</li>
</ul>
<a name="error-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>error</h4>
<pre>public&nbsp;void&nbsp;error(java.lang.String&nbsp;message)</pre>
<div class="block">Print an error message to the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - a message</dd>
</dl>
</li>
</ul>
<a name="printRaw-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printRaw</h4>
<pre>public&nbsp;void&nbsp;printRaw(java.lang.String&nbsp;message)</pre>
<div class="block">Print an raw message to the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - a message</dd>
</dl>
</li>
</ul>
<a name="checkArgs-int-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkArgs</h4>
<pre>public&nbsp;void&nbsp;checkArgs(int&nbsp;min,
                      int&nbsp;max,
                      java.lang.String&nbsp;usage)
               throws <a href="../../../../com/sk89q/worldedit/command/InsufficientArgumentsException.html" title="class in com.sk89q.worldedit.command">InsufficientArgumentsException</a></pre>
<div class="block">Checks to make sure that there are enough but not too many arguments.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>min</code> - a number of arguments</dd>
<dd><code>max</code> - -1 for no maximum</dd>
<dd><code>usage</code> - usage string</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/command/InsufficientArgumentsException.html" title="class in com.sk89q.worldedit.command">InsufficientArgumentsException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlock-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getBlock(java.lang.String&nbsp;input,
                          boolean&nbsp;allAllowed)
                   throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Get an item from an item name or an item ID number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - input to parse</dd>
<dd><code>allAllowed</code> - true to ignore blacklists</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a block</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlock-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getBlock(java.lang.String&nbsp;id)
                   throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Get a block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the type Id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a block</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockPattern-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockPattern</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;getBlockPattern(java.lang.String&nbsp;list)
                        throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Get a list of blocks as a set. This returns a Pattern.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - the input</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pattern</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlocks-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlocks</h4>
<pre>public&nbsp;java.util.Set&lt;<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&gt;&nbsp;getBlocks(java.lang.String&nbsp;list,
                                          boolean&nbsp;allBlocksAllowed)
                                   throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Get a list of blocks as a set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - a list</dd>
<dd><code>allBlocksAllowed</code> - true if all blocks are allowed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>set</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a></code></dd>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSafeOpenFile-java.lang.String-java.lang.String-java.lang.String-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSafeOpenFile</h4>
<pre>public&nbsp;java.io.File&nbsp;getSafeOpenFile(java.lang.String&nbsp;folder,
                                    java.lang.String&nbsp;filename,
                                    java.lang.String&nbsp;defaultExt,
                                    java.lang.String...&nbsp;exts)
                             throws <a href="../../../../com/sk89q/worldedit/util/io/file/FilenameException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameException</a></pre>
<div class="block">Gets the path to a file for opening. This method will check to see if the
 filename has valid characters and has an extension. It also prevents
 directory traversal exploits by checking the root directory and the file
 directory. On success, a <code>java.io.File</code> object will be
 returned.
 
 <p>Use this method if you need to read a file from a directory.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>folder</code> - sub-directory to look in</dd>
<dd><code>filename</code> - filename (user-submitted)</dd>
<dd><code>defaultExt</code> - default extension to append if there is none</dd>
<dd><code>exts</code> - list of extensions for file open dialog, null for no filter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a file</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/util/io/file/FilenameException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSafeSaveFile-java.lang.String-java.lang.String-java.lang.String-java.lang.String...-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSafeSaveFile</h4>
<pre>public&nbsp;java.io.File&nbsp;getSafeSaveFile(java.lang.String&nbsp;folder,
                                    java.lang.String&nbsp;filename,
                                    java.lang.String&nbsp;defaultExt,
                                    java.lang.String...&nbsp;exts)
                             throws <a href="../../../../com/sk89q/worldedit/util/io/file/FilenameException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameException</a></pre>
<div class="block">Gets the path to a file for saving. This method will check to see if the
 filename has valid characters and has an extension. It also prevents
 directory traversal exploits by checking the root directory and the file
 directory. On success, a <code>java.io.File</code> object will be
 returned.
 
 <p>Use this method if you need to read a file from a directory.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>folder</code> - sub-directory to look in</dd>
<dd><code>filename</code> - filename (user-submitted)</dd>
<dd><code>defaultExt</code> - default extension to append if there is none</dd>
<dd><code>exts</code> - list of extensions for file save dialog, null for no filter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a file</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/util/io/file/FilenameException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/sk89q/worldedit/scripting/CraftScriptEngine.html" title="interface in com.sk89q.worldedit.scripting"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/scripting/CraftScriptContext.html" target="_top">Frames</a></li>
<li><a href="CraftScriptContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.scripting.CraftScriptEnvironment">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
